Skip to main content
GET
https://checkout.dintero.com/v1
/
examples
/
session_url_callback
example_session_get_callback_url
curl --request GET \
  --url https://checkout.dintero.com/v1/examples/session_url_callback
import requests

url = "https://checkout.dintero.com/v1/examples/session_url_callback"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://checkout.dintero.com/v1/examples/session_url_callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://checkout.dintero.com/v1/examples/session_url_callback"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://checkout.dintero.com/v1/examples/session_url_callback")
.asString();
{}

Headers

Dintero-Signature
string

Dintero signature that can be used to verify the payload from the callback.

Only include if a signature secret exist:

event-delivery
string

A unique delivery ID to identify the event, which can be useful for tracking and troubleshooting purposes

Query Parameters

transaction_id
string
required

The Id for the transaction created

session_id
string

Session Id. Either session_id or sid is required.

sid
string

Session Id if sid_parameter_name=sid. Either session_id or sid is required.

merchant_reference
string
required

The merchants reference

time
string<date-time>
required

ISO 8601 format for when the transaction was created

error
string

Error code

event
string

Event applied to transaction

event_id
string

Id for the event applied to transaction

method
string

The method to use when delivering the callback

report_error
boolean

Report error callback

delay_callback
integer

Delay before delivering the callback

report_event
string

Deliver callback on othe transaction events

Response

200 - application/json

Callback handled

The response is of type object.

Last modified on July 9, 2026